using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

namespace WebAPIBase.API.Controllers
{
    //[ApiController]
    public class BaseController : Controller
    {
        protected NLog.Logger logger;
        protected IConfigurationRoot Configuration;
        public BaseController()
        {
            IConfigurationBuilder builder = new ConfigurationBuilder()
             .SetBasePath(Directory.GetCurrentDirectory())
             .AddJsonFile("appsettings.json");

            Configuration = builder.Build();
            logger = NLog.LogManager.GetCurrentClassLogger();
        }
    }
}
